"""Specifies the application configuration class.

Classes
-------
NMCCZiaMetAppConfig
    Provides the default configuration information for this web 
    application.

"""
# Django Package Imports.
from django.apps import AppConfig


class NMCCZiaMetAppConfig(AppConfig):
    """Provides the default configuration information for this web 
    application.

    Attributes
    ----------
    name
        The name of the application.
    verbose_name
        A more descriptive name for the application.

    Methods
    -------
    ready
        Imports the application event handlers.

    """
    name = 'nmcc_ziamet'
    verbose_name = 'NMCC ZiaMet Weather Station Database'


