var v_ids = ['air_temp', 'dewpoint', 'wind_chill', 'heat_index', 'wind_speed', 
    'wind_speed_max', 'wind_speed_mean', 'wind_dir', 'wind_dir_mean', 
    'precip_total', 'solar_rad_total'];


$(document).ready(function() {

    var data_cols = {};
    data_cols['rdt'] = [];

    for (i in v_ids) {

        data_cols[v_ids[i]] = [];
    };

    var data_table_rows = $("#id_timeseries_table").contents().find("tr");
    var count = 0;

    while (count < data_table_rows.length) {

        var d = $("#id_" + count + "_date").text();
        var t = $("#id_" + count + "_time").text();
        var rdt = d + " " + t;

        data_cols['rdt'].push(rdt);

        for (i in v_ids) {

            var td = $("#id_" + count + "_" + v_ids[i]);

            if (td) {

                var value_str = td.text();
                var value = parseFloat(value_str);
                var value_array = [rdt, value];

                data_cols[v_ids[i]].push(value_array);
            };
        };

        count = count + 1;     
    };

    var t = $("#id_air_temperature_plot");
    var w = $("#id_wind_heat_plot");
    var s = $("#id_wind_speed_plot");
    var d = $("#id_wind_dir_plot");
    var p = $("#id_precipitation_plot");
    var r = $("#id_solar_rad_total_plot");

    if (t.length > 0) {

        var temperature_units = $("#id_air_temperature_units").text();
        var temperature_plot = $.jqplot ('id_air_temperature_plot', [data_cols['air_temp'], data_cols['dewpoint']],
            {
                //title: 'Air Temperature From Last 7 Days', 
                axes: {xaxis: {renderer: $.jqplot.DateAxisRenderer, 
                        rendererOptions: {tickRenderer:$.jqplot.CanvasAxisTickRenderer}, 
                        label: 'Date', 
                        tickOptions: {angle: -45, formatString:'%b %#d %H:%M', fontSize: '10pt'}},  
                    yaxis: {labelRenderer: $.jqplot.CanvasAxisLabelRenderer, label: temperature_units, 
                        tickOptions: {fontSize: '10pt'}}},
                series: [{label: 'Air Temp', showMarker: false, color: '#000000'}, 
                        {label: 'Dewpoint', showMarker: false, color: '#1a68dd'}],
                legend: {show: true, placement: 'insideGrid', location: 'sw'}
            }
        );
    };

    if (w.length > 0) {

        var wind_heat_units = $("#id_wind_heat_units").text();
        var wind_heat_plot = $.jqplot ('id_wind_heat_plot', [data_cols['heat_index'], data_cols['wind_chill']],
            {
                axes: {xaxis: {renderer: $.jqplot.DateAxisRenderer, 
                        rendererOptions: {tickRenderer:$.jqplot.CanvasAxisTickRenderer}, 
                        label: 'Date', 
                        tickOptions: {angle: -45, formatString:'%b %#d %H:%M', fontSize: '10pt'}},  
                    yaxis: {labelRenderer: $.jqplot.CanvasAxisLabelRenderer, label: wind_heat_units, 
                        tickOptions: {fontSize: '10pt'}}},
                series: [{label: 'Heat Index', showMarker: false, color: '#000000'}, 
                        {label: 'Wind Chill', showMarker: false, color: '#1a68dd'}],
                legend: {show: true, placement: 'insideGrid', location: 'sw'}
            }
        );
    };

    if (s.length > 0) {

        var wind_speed_units = $("#id_wind_speed_units").text();
        var wind_speed_plot = $.jqplot ('id_wind_speed_plot', [data_cols['wind_speed_max'], data_cols['wind_speed_mean']],
            {
                axes: {xaxis: {renderer: $.jqplot.DateAxisRenderer, 
                        rendererOptions: {tickRenderer:$.jqplot.CanvasAxisTickRenderer}, 
                        label: 'Date', 
                        tickOptions: {angle: -45, formatString:'%b %#d %H:%M', fontSize: '10pt'}},  
                    yaxis: {labelRenderer: $.jqplot.CanvasAxisLabelRenderer, label: wind_speed_units, 
                        tickOptions: {fontSize: '10pt'}}},
                series: [{label: 'Max Wind Speed', showMarker: false, color: '#000000'}, 
                        {label: 'Mean Wind Speed', showMarker: false, color: '#1a68dd'}],
                legend: {show: true, placement: 'insideGrid', location: 'sw'}
            }
        );
    };

    if (d.length > 0) {

        var wind_dir_units = $("#id_wind_dir_units").text();
        var wind_dir_plot = $.jqplot ('id_wind_dir_plot', [data_cols['wind_dir_mean']],
            {
                axes: {xaxis: {renderer: $.jqplot.DateAxisRenderer, 
                        rendererOptions: {tickRenderer:$.jqplot.CanvasAxisTickRenderer}, 
                        label: 'Date', 
                        tickOptions: {angle: -45, formatString:'%b %#d %H:%M', fontSize: '10pt'}},  
                    yaxis: {labelRenderer: $.jqplot.CanvasAxisLabelRenderer, label: wind_dir_units, 
                        tickOptions: {fontSize: '10pt'}}},
                series: [{label: 'Mean Wind Direction', showMarker: false, color: '#000000'}],
                legend: {show: true, placement: 'insideGrid', location: 'sw'}
            }
        );
    };

    if (p.length > 0) {

        var precipitation_units = $("#id_precipitation_units").text();
        var precipitation_plot = $.jqplot ('id_precipitation_plot', [data_cols['precip_total']],
            {
                //title: 'Precipitation From Last 7 Days', 
                axes: {xaxis: {renderer: $.jqplot.DateAxisRenderer, 
                        rendererOptions: {tickRenderer:$.jqplot.CanvasAxisTickRenderer}, 
                        label: 'Date', 
                        tickOptions: {angle: -45, formatString:'%b %#d %H:%M', fontSize: '10pt'}},  
                    yaxis: {labelRenderer: $.jqplot.CanvasAxisLabelRenderer, label: precipitation_units, 
                        tickOptions: {fontSize: '10pt'}}},
                seriesDefaults: {renderer: $.jqplot.BarRenderer, 
                        rendererOptions: {fillToZero: true, barDirection: 'vertical', barWidth: 3}},
                series: [{label: 'Total', color: '#2B65EC'}],
                legend: {show: true, placement: 'insideGrid', location: 'nw'}
            }
        );
    };

    if (r.length > 0) {

        var solar_rad_total_units = $("#id_solar_rad_total_units").text();
        var solar_rad_total_plot = $.jqplot ('id_solar_rad_total_plot', [data_cols['solar_rad_total']],
            {
                //title: 'Precipitation From Last 7 Days', 
                axes: {xaxis: {renderer: $.jqplot.DateAxisRenderer, 
                        rendererOptions: {tickRenderer:$.jqplot.CanvasAxisTickRenderer}, 
                        label: 'Date', 
                        tickOptions: {angle: -45, formatString:'%b %#d %H:%M', fontSize: '10pt'}},  
                    yaxis: {labelRenderer: $.jqplot.CanvasAxisLabelRenderer, label: solar_rad_total_units, 
                        tickOptions: {fontSize: '10pt'}}},
                seriesDefaults: {renderer: $.jqplot.BarRenderer, 
                        rendererOptions: {fillToZero: true, barDirection: 'vertical', barWidth: 3}},
                series: [{label: 'Total', color: '#2B65EC'}],
                legend: {show: true, placement: 'insideGrid', location: 'nw'}
            }
        );
    };

});


