function setImperial() {

    var units = $("#id_units").val();
    var gdd_tbase = $("#id_gdd_tbase").val();
    var gdd_tmaxcutoff = $("#id_gdd_tmaxcutoff").val();
    var gdd_tmincutoff = $("#id_gdd_tmincutoff").val();

    gdd_tbase = (gdd_tbase * (9.0 / 5.0)) + 32;

    if (gdd_tmaxcutoff < 999) {

        gdd_tmaxcutoff = (gdd_tmaxcutoff * (9.0 / 5.0)) + 32;
    };

    if (gdd_tmincutoff > -999) {

        gdd_tmincutoff = (gdd_tmincutoff * (9.0 / 5.0)) + 32;
    };

    $("#id_gdd_tbase_label").html("Base Temperature (F)");
    $("#id_gdd_tbase_units").val("F");
    
    $("#id_gdd_tmaxcutoff_label").html("Max Cutoff Temperature (F)");
    $("#id_gdd_tmaxcutoff_units").val("F");

    $("#id_gdd_tmincutoff_label").html("Min Cutoff Temperature (F)");
    $("#id_gdd_tmincutoff_units").val("F");

    $("#id_gdd_tbase").val(gdd_tbase);
    $("#id_gdd_tmaxcutoff").val(gdd_tmaxcutoff);
    $("#id_gdd_tmincutoff").val(gdd_tmincutoff);
};

function setMetric() {

    var units = $("#id_units").val();
    var gdd_tbase = $("#id_gdd_tbase").val();
    var gdd_tmaxcutoff = $("#id_gdd_tmaxcutoff").val();
    var gdd_tmincutoff = $("#id_gdd_tmincutoff").val();

    gdd_tbase = (gdd_tbase - 32) * (5.0 / 9.0);

    if (gdd_tmaxcutoff < 999) {

        gdd_tmaxcutoff = (gdd_tmaxcutoff - 32) * (5.0 / 9.0);
    };

    if (gdd_tmincutoff > -999) {

        gdd_tmincutoff = (gdd_tmincutoff -32 ) * (5.0 / 9.0);
    };

    $("#id_gdd_tbase_label").html("Base Temperature (C)");
    $("#id_gdd_tbase_units").val("C");

    $("#id_gdd_tmaxcutoff_label").html("Max Cutoff Temperature (C)");
    $("#id_gdd_tmaxcutoff_units").val("C");

    $("#id_gdd_tmincutoff_label").html("Min Cutoff Temperature (C)");
    $("#id_gdd_tmincutoff_units").val("C");

    $("#id_gdd_tbase").val(gdd_tbase);
    $("#id_gdd_tmaxcutoff").val(gdd_tmaxcutoff);
    $("#id_gdd_tmincutoff").val(gdd_tmincutoff);
};

function setUnits() {

    var units = $("#id_units").val();

    if (units == "imperial") { //english

        setImperial();
    };

    if (units == "metric") { //metric

        setMetric();
    };
};

$(document).ready(function() {

    $(function() {
        $("#id_start_date").datepicker({ dateFormat: "yy-mm-dd" });
    });

    $(function() {
        $("#id_end_date").datepicker({ dateFormat: "yy-mm-dd" });
    });

    $("#id_units").change(function() {

        setUnits();
    });

    //setUnits();

    // Remove the graphs option.  This is temporary until graphs are 
    // added.
    $("#id_output option[value='graphs']").remove();
});


